package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsMotor;
import com.ktg.iscs.domain.dto.motor.MotorMoveDTO;

import java.util.List;

/**
 * 电机Service接口
 *
 * @author cgj
 * @date 2025-09-04
 */
public interface IIsMotorService extends IService<IsMotor> {

    Page<IsMotor> getIsMotorPage(Page<IsMotor> page, IsMotor isMotor);

    List<IsMotor> getIsMotorListByLotoId(Long lotoId);

    Boolean updateIsMotorMove(MotorMoveDTO dto);

    Boolean deleteIsMotorByMotorIds(String motorIds);

    Boolean updateIsMotor(IsMotor isMotor);

    IsMotor selectIsMotorById(Long motorId);

}
